Bug 1409550 - confusing button "Start working"
Summary: confusing button "Start working"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 13:05 UTC by Ales Zelinka
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version: 5.0.3-rh33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 09:58:13 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2017-01-02 13:05:35 UTC
Description of problem:
On bug details page, right before the "Submit changes" button, there's another one called "Start working". It switches the bug into ASSIGNES status and changes assignee to whoever pushes it.

The button name is confusing - when QE wants to start working ona  bug (i.e. verify its fix) they definitely don't want to be set as assignee or change the status the ASSIGNED.

Comment 1 Jeff Fearn 🐞 2017-01-08 23:35:56 UTC
How about "Take Bug"? Presumably QE wouldn't be taking bugs from developers.

Comment 2 Ales Zelinka 2017-01-10 14:38:37 UTC
There already are 'Take' links for the 3 major contacts (devel, QE and docs). So non-devels like QE _are_ used to 'take bugs'.

Comment 3 Jeff Fearn 🐞 2017-08-02 00:20:37 UTC
What I'm going to do for this button is to hide the button and only show it when the bug is in a Pool and then only to the members of the team the Pool belongs to.

Comment 4 Jeff Fearn 🐞 2017-08-30 03:28:54 UTC
Button is only shown when the bug is in a pool and the user is in the team the pool belongs to.


Note You need to log in before you can comment on or make changes to this bug.